Bug 1024285 - Failed to migrate nodejs-0.6/0.10 app with error "Couldn't move dep contents"
Failed to migrate nodejs-0.6/0.10 app with error "Couldn't move dep contents"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 06:24 EDT by Yan Du
Modified: 2015-05-14 19:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:27:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oo-upgrade error log (15.48 KB, text/plain)
2013-10-29 06:24 EDT, Yan Du
no flags Details

  None (edit)
Description Yan Du 2013-10-29 06:24:57 EDT
Created attachment 817038 [details]
oo-upgrade error log

Description of problem:

Prepare some data in devenv_stage_528 and upgrade to latest devnev(devenv_3959)
Nodejs app became unavailable after migtaion. Show below error in upgrade_errors_ip-10-239-32-246 log.  

For detail log, pls. refer to attachment.


 "pre_cartridge_upgrade": {
                "status": "incomplete",
                "errors": [
                    "Unhandled exception performing step: Couldn't move dep contents from /var/lib/openshift/526f763196300ee01f000080/.npm.backup to /var/lib/openshift/526f763196300ee01f000080/.npm\n/usr/libexec/openshift/lib/gear_upgrade_extension.rb:183:in `block (4 levels) in migrate_deployment_system_pre'\n/usr/libexec/openshift/lib/gear_upgrade_extension.rb:176:in `each'\n/usr/libexec/openshift/lib/gear_upgrade_extension.rb:176:in `block (3 levels) in migrate_deployment_system_pre'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/v2_cart_model.rb:80:in `block in each_cartridge'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/v2_cart_model.rb:1073:in `block in process_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/v2_cart_model.rb:1071:in `each'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/v2_cart_model.rb:1071:in `process_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/v2_cart_model.rb:78:in `each_cartridge'\n/usr/libexec/openshift/lib/gear_upgrade_extension.rb:160:in `block (2 levels) in migrate_deployment_system_pre'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/utils/upgrade_progress.rb:32:in `step'\n/usr/libexec/openshift/lib/gear_upgrade_extension.rb:159:in `block in migrate_deployment_system_pre'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/utils/upgrade_progress.rb:32:in `step'\n/usr/libexec/openshift/lib/gear_upgrade_extension.rb:99:in `migrate_deployment_system_pre'\n/usr/libexec/openshift/lib/gear_upgrade_extension.rb:91:in `pre_cartridge_upgrade'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/upgra
de.rb:345:in `block in pre_cartridge_upgrade'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/utils/upgrade_progress.rb:32:in `step'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/upgrade.rb:344:in `pre_cartridge_upgrade'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/upgrade.rb:381:in `upgrade_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.7/lib/openshift-origin-node/model/upgrade.rb:159:in `execute'\n/opt/rh/ruby193/root/usr/libexec/mcollective/mcollective/agent/openshift.rb:242:in `upgrade_action'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/agent.rb:86:in `handlemsg'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:126:in `block (2 levels) in dispatch'\n/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:125:in `block in dispatch'"



Version-Release number of selected component (if applicable):
devenv_stage_528 --->devenv_3959



How reproducible:
Always



Steps to Reproduce:

1. Create some nodejs apps in devenv_stage_528
2. do migration 
3. check the app after migration



Actual results:
Nodejs apps became unavailable


Expected results:
Nodejs app should work well after migration


Additional info:
Comment 1 Dan Mace 2013-10-29 12:55:37 EDT
https://github.com/openshift/li/pull/2055
Comment 2 Yan Du 2013-10-30 04:10:23 EDT
Upgrade devenv_stage_528 to devenv_3966

Both nodejs-0.6 and nodejs-0.10 apps are migrated successfully and available in web. No such error "Couldn't move dep contents" shown in upgrade log.

move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.